Skip to main content
`Ctrl`+`K`

# DMPlexCoordMap

The coordinate mapping used for automatic mesh creation.

## Synopsis

    typedef enum {
      DM_COORD_MAP_NONE,
      DM_COORD_MAP_SHEAR,
      DM_COORD_MAP_FLARE,
      DM_COORD_MAP_ANNULUS,
      DM_COORD_MAP_SHELL,
      DM_COORD_MAP_SINUSOID,
      DM_COORD_MAP_UNKNOWN
    } DMPlexCoordMap;

## Values

- `DM_COORD_MAP_NONE` - The identity map

- `DM_COORD_MAP_SHEAR` - The shear (additive) map along some dimension

- `DM_COORD_MAP_FLARE` - The flare (multiplicative) map along some dimension

- `DM_COORD_MAP_ANNULUS` - The map from a rectangle to an annulus

- `DM_COORD_MAP_SHELL` - The map from a rectangular solid to an spherical shell

- `DM_COORD_MAP_SINUSOID` - The map from a flat rectangle to a sinusoidal surface

## See Also

DM Basics, `DMPLEX`, `DMPlexGetCellRefiner()`, `DMPlexSetCellRefiner()`, `DMRefine()`, `DMPolytopeType`, `DMPlexShape`

## Level

beginner

## Location

include/petscdmplextypes.h

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages